import type { NonEmptyArray_TagScope_ } from "./NonEmptyArray_TagScope_";
import type { RuleDescription } from "./RuleDescription";
import type { RuleErrorMessage } from "./RuleErrorMessage";
import type { RuleName } from "./RuleName";
import type { TagQuota_SizeInBytes_ } from "./TagQuota_SizeInBytes_";
import type { TagScopeCondition } from "./TagScopeCondition";
export declare type UploadBandwidthRule = {
    description: RuleDescription;
    match: TagScopeCondition;
    name: RuleName;
    errorMessage: RuleErrorMessage;
    quota: TagQuota_SizeInBytes_;
    tagQuotaId: NonEmptyArray_TagScope_;
};
